Package wx :: Class Palette

[frames | no frames]

## Type Palette

    object --+
             |
        Object --+
                 |
         GDIObject --+
                     |
                    Palette

Proxy of C++ Palette class

Method Summary
| ``__init__`(self, *args, **kwargs)` __init__(self, int n, unsigned char red, unsigned char green, unsigned char blue) -> Palette
| `__del__(self)`
| `__nonzero__(self)`
int | `GetColoursCount(self)`
int | `GetPixel(self, red, green, blue)`
(R,G,B) | `GetRGB(self, pixel)`
bool | `IsOk(self)`
bool | `Ok(self)`

Property Summary
| `ColoursCount`: See `GetColoursCount`
| `thisown`: The membership flag

Method Details

### __init__(self, *args, **kwargs)
(Constructor)

__init__(self, int n, unsigned char red, unsigned char green, unsigned char blue) -> Palette

  Overrides:
    `wx.GDIObject.__init__`

Property Details

### ColoursCount

See `GetColoursCount`

  Get Method:
    `GetColoursCount`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:10 2007 | http://epydoc.sf.net